• Demos
    • Chart Demos
    • StockChart Demos
  • Download
    • Download Chart
    • Download StockChart
  • Integrations
    • Front End Technology Samples
      • React Charts
      • Angular Charts
      • jQuery Charts
      • Dashboards
    • Server Side Technology Samples
      • PHP Charts
      • ASP.NET MVC Charts
      • Spring MVC Charts
      • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
  • My Account
  • KEY FEATURES
    • Chart with Index Label
    • Multi Series Chart
    • Chart with Zooming & Panning
    • Synchronized Charts
    • Chart with Animation
    • Chart With Image Overlay
    • Chart with Secondary Axis
    • Chart with Null Data
    • Chart with Dynamic Data
    • Column Chart with Reversed Axis
    • Chart with Logarithmic Axis
    • Chart using JSON Data
    • Performance With 50,000 Data Points
    • Draggable Column Chart
    • Chart with Axis / Scale Break
    • Chart with Crosshair
    • Chart with Customized Legends
    • Drilldown Chart
    • Responsive Chart
    • Chart with Axis Labels & Ticks inside Plot Area
    • Sync ToolTip across Multiple Charts
  • LINE CHARTS
    • Line Chart
    • Dashed Line Chart
    • Multi Series Line Chart
    • Line Chart with Zoom and Pan
    • Line Chart with Data Marker
    • Line Chart with Logarithmic Axis
    • Line Chart with Axis / Scale Break
    • Line Chart with Multiple Axes
    • Spline Chart
    • Multi Series Spline Chart
    • Dynamic Spline Chart
    • Spline Chart with Secondary Axis
    • Spline Chart with Legends
    • Step Line Chart
    • Multi Series Step Line Chart with Null Data
  • AREA CHARTS
    • Area Chart
    • Multi Series Area Charts
    • Spline Area Chart
    • Multi Series Spline Area Charts
    • Step Area Chart
    • Range Area Chart
    • Multi Series Range Area Charts
    • Range Spline Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
    • Stacked Area 100% Chart with Date-Time Axis
  • COLUMN & BAR CHARTS
    • Column Chart
    • Column Charts with Multiple Axes
    • Bar Chart
    • Multi Series Bar Chart
    • Bar Chart with Axis / Scale Break
    • Range Column Chart
    • Multi Series Range Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Range Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
    • Waterfall Chart
    • Multi Series Waterfall Chart
    • Waterfall Chart with Custom Colors
  • PIE & FUNNEL CHARTS
    • Pie Chart
    • Pie Chart with Legends
    • Pie Chart with Custom Radius
    • Doughnut Chart
    • Doughnut Chart with Custom Inner Radius
    • Funnel Chart
    • Funnel Chart with Custom Neck
    • Inverted Funnel Chart
    • Pyramid Chart
    • Pyramid Chart with Values represented by Area
    • Pyramid Chart With Index Labels Placed Inside
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • Combination of Candlestick & Line Chart
    • OHLC Chart
    • OHLC Chart from JSON Data using AJAX
  • SCATTER & BUBBLE CHARTS
    • Scatter / Point Chart
    • Multi Series Scatter / Point Chart
    • Scatter Chart with Custom Markers
    • Bubble Chart
    • Bubble Chart with Zoom & Pan
    • Bubble Chart with Custom Markers
  • BOX & WHISKER CHARTS
    • Box And Whisker Chart
    • Box and Whisker Chart with Color Customization
    • Box And Whisker Chart with Outliers
  • COMBINATION CHARTS
    • Error Chart
    • Error Line Chart
    • Error Bar Chart
    • Pareto Chart
    • Pareto Chart with Index / Data Label
    • Combination of Range Area and Line Charts
    • Combination of Column, Line and Area Chart
    • Combination of OHLC and Line Chart
  • DYNAMIC CHARTS
    • Dynamic / Live Column Chart
    • Dynamic / Live Line Chart
    • Dynamic / Live Multi Series Chart
  • ANGULAR, REACT, JQUERY
    • Angular Charts
    • React Charts
    • jQuery Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • PHP Charts
    • JSP Charts
    • Spring MVC Charts

Combination of JavaScript Candlestick Chart with Line Chart

Download JavaScript Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Angular Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Candlestick charts are often combined with line charts for showing different parameters in financial analysis. You can also combine Candlestick graph with spline, or area chart. The given example shows the stock price of Facebook in 2016 along with its net Income and total Revenue using combination of Candle stick and line chart. It also contains source code that you can edit in-browser or save to run it locally.

Read More >>

Try Editing The Code

window.onload = function () {

var chart = new CanvasJS.Chart("chartContainer", {
	animationEnabled: true,
	theme: "light2", // "light1", "light2", "dark1", "dark2"
	exportEnabled: true,
	title:{
		text: "Facebook Stock Price - 2016"
	},
	subtitles: [{
		text: "All Prices are in USD"
	}],
	axisX: {
		valueFormatString: "MMM"
	},
	axisY: {
		prefix: "$",
		title: "Price"
	},
	axisY2: {
		prefix: "$",
		suffix: "bn",
		title: "Revenue & Income",
		tickLength: 0
	},
	toolTip: {
		shared: true
	},
	legend: {
		reversed: true,
		cursor: "pointer",
		itemclick: toggleDataSeries
	},     
	data: [{
		type: "candlestick",
		showInLegend: true,
		name: "Stock Price",
		yValueFormatString: "$#,##0.00",
		xValueFormatString: "MMMM",
		dataPoints: [   // Y: [Open, High ,Low, Close]
			{ x: new Date(2016, 0), y: [101.949997, 112.839996, 89.370003, 112.209999] },
			{ x: new Date(2016, 1), y: [112.269997, 117.589996, 96.820000, 106.919998] },
			{ x: new Date(2016, 2), y: [107.830002, 116.989998, 104.400002, 114.099998] },
			{ x: new Date(2016, 3), y: [113.750000, 120.790001, 106.309998, 117.580002] },
			{ x: new Date(2016, 4), y: [117.830002, 121.080002, 115.879997, 118.809998] },
			{ x: new Date(2016, 5), y: [118.500000, 119.440002, 108.230003, 114.279999] },
			{ x: new Date(2016, 6), y: [114.199997, 128.330002, 112.970001, 123.940002] },
			{ x: new Date(2016, 7), y: [123.849998, 126.730003, 122.070000, 126.120003] },
			{ x: new Date(2016, 8), y: [126.379997, 131.979996, 125.599998, 128.270004] },
			{ x: new Date(2016, 9), y: [128.380005, 133.500000, 126.750000, 130.990005] },
			{ x: new Date(2016, 10), y: [131.410004, 131.940002, 113.550003, 118.419998] },
			{ x: new Date(2016, 11), y: [118.379997, 122.500000, 114.000000, 115.050003] }
		]
	},
	{
		type: "line",
		showInLegend: true,
		name: "Net Income",
		axisYType: "secondary",
		yValueFormatString: "$#,##0.00bn",
		xValueFormatString: "MMMM",
		dataPoints: [
			{ x: new Date(2016, 2), y: 1.510 },
			{ x: new Date(2016, 5), y: 2.055 },
			{ x: new Date(2016, 8), y: 2.379 },
			{ x: new Date(2016, 11), y: 3.568 }
		]
	},
	{
		type: "line",
		showInLegend: true,
		name: "Total Revenue",
		axisYType: "secondary",
		yValueFormatString: "$#,##0.00bn",
		xValueFormatString: "MMMM",
		dataPoints: [
			{ x: new Date(2016, 2), y: 5.382 },
			{ x: new Date(2016, 5), y: 6.436 },
			{ x: new Date(2016, 8), y: 7.011 },
			{ x: new Date(2016, 11), y: 8.809 }
		]
	}]
});
chart.render();

function toggleDataSeries(e) {
	if (typeof (e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
		e.dataSeries.visible = false;
	} else {
		e.dataSeries.visible = true;
	}
	e.chart.render();
}

}                            

Related Customization

You can use visible property to show / hide a data series. You can also customize the color and thickness of line using lineColor and lineThickness. Other related customizations are color, risingColor, etc.

© fenopix
  • About Us
  • FAQs
  • Careers
  • Privacy Policy
Server Side Technologies
  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts
Front End Technologies
  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts
Contact
  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

• Demos
    • JavaScript Charts
    • JavaScript StockCharts
  • Download/NPM
    • Download CanvasJS
    • Install via NPM
  • Integrations
    Front End Technology Samples
    • React Charts
    • Angular Charts
    • Vue.js Charts New!
    • jQuery Charts
    • Dashboards
    Server Side Technology Samples
    • PHP Charts
    • Python Charts New!
    • ASP.NET MVC Charts
    • Spring MVC Charts
    • JSP Charts
  • License
  • Blog
  • Docs
    • Chart Documentation
    • StockChart Documentation
  • Support Forum
    • Chart Support
    • StockChart Support
  • My Account
My Account
  • KEY FEATURES
    • Basic Chart
    • Chart with Animation
    • Chart with Zooming/Panning
    • Multi Series Chart
    • Chart with Multiple Axes
    • Chart with Logarithmic Axis
    • Chart with JSON Data
    • Dynamic Chart
    • Drilldown Chart
    • Responsive Chart
    • Synchronized Charts
  • LINE CHARTS
    • Line Chart
    • Dashed Line Chart
    • Multi Series Line Chart
    • Spline Chart
    • Multi Series Spline Chart
    • Step Line Chart
    • Multi Series Step Line Chart
  • BAR CHARTS
    • Bar Chart with Category Axis
    • Multi Series Bar Chart
    • Stacked Bar Chart
    • Stacked Bar 100% Chart
  • COLUMN CHARTS
    • Column Chart with Category Axis
    • Column Chart in Dark Theme
    • Multi Series Column Chart
    • Stacked Column Chart
    • Stacked Column 100% Chart
    • Stacked Column 100% Chart with IndexLabel
  • PIE & DOUGHNUT CHARTS
    • Pie Chart
    • Doughnut Chart
    • Doughnut Chart in Dark Theme
  • AREA CHARTS
    • Area Chart with Category Axis
    • Multi Series Area Chart
    • Spline Area Chart
    • Multi Series Spline Area Chart
    • Step Area Chart
    • Stacked Area Chart
    • Stacked Area 100% Chart
  • RANGE CHARTS
    • Range Column Chart
    • Multi Series Range Column Chart
    • Range Bar Chart
    • Multi Series Range Bar Chart
    • Range Area Chart
    • Multi Series Range Area Chart
    • Range Spline Area Chart
    • Multi Series Range Spline Area Chart
  • BUBBLE & SCATTER CHARTS
    • Bubble Chart with 3-Dimensional Data
    • Bubble Chart in Dark Theme
    • Scatter Chart
  • FUNNEL & PYRAMID CHARTS
    • Funnel Chart with Index Labels
    • Funnel Chart with Custom Neck Length
    • Pyramid Chart
  • FINANCIAL CHARTS
    • Candlestick Chart
    • Multi Series Candlestick Chart
    • OHLC Chart
    • OHLC Chart from JSON Data
    • Box & Whisker Chart
    • Waterfall Chart
  • COMBINATION CHARTS
    • Pareto Chart
    • Error Line Chart
    • Combination of Range Area & Line Chart
    • Combination of Candlestick & Line chart
  • DYNAMIC CHARTS
    • Dynamic Line Chart
    • Dynamic Column Chart
    • Dynamic Multi Series Chart
  • STOCKCHARTS
    • StockChart with Numeric Axis
    • StockChart with Date-Time Axis
    • StockChart with Navigator & Range Selector
  • JAVASCRIPT, JQUERY, REACT, ANGULAR
    • JavaScript Charts
    • jQuery Charts
    • React Charts
    • Angular Charts
  • SERVER SIDE TECHNOLOGIES
    • ASP.NET MVC Charts
    • JSP Charts
    • PHP Charts
    • Python Charts
    • Spring MVC Charts

Vue.js Candlestick & Line Chart Combination

Download Vue.js Chart Samples
  • Vue.js Chart Samples
  • JavaScript Chart Samples
  • React Chart Samples
  • Angular Chart Samples
  • jQuery Chart Samples
  • PHP Chart Samples
  • Python Django Chart Samples
  • ASP.NET Chart Samples
  • JSP Chart Samples
  • Spring MVC Chart Samples
  • Dashboard Samples
  • JavaScript StockChart Samples

Example shows Vuejs candlestick & line chart Combination where we are using line chart to show Simple Moving Average (SMA) Technical Indicator of Stock data.

  • Component
  • Main
/* App.vue */
<script>
  export default {
    data() {
      return {
        chart: null,
        options: {
          exportEnabled: true,
          title:{
            text:"Technical Indicators: SMA",
            fontFamily: "Arial, sans-serif"
          },
          subtitles: [{
            text:"Simple Moving Average",
            fontFamily: "Arial, sans-serif"
          }],
          axisY: {
            title: "Price in USD",
            prefix: "$"
          },
          axisX: {
            valueFormatString: "MMM D",
          },
          toolTip: {
            shared: true
          },
          legend: {
            cursor: "pointer",
            dockInsidePlotArea: "inside",
            itemclick: this.toggleDataSeries
          },
          data: [{
            type: "candlestick",
            showInLegend: true,
            name: "Stock Price",
            yValueFormatString: "$#,###.00",
            xValueType: "dateTime",
            dataPoints: [
              { x: new Date(2022, 0, 1), y: [511.91037, 527.352722, 511.903534, 527.352722] },
              { x: new Date(2022, 0, 2), y: [527.291626, 533.371033, 518.75354, 531.396667] },
              { x: new Date(2022, 0, 3), y: [531.388855, 532.095581, 510.652161, 512.135986] },
              { x: new Date(2022, 0, 4), y: [512.13031, 519.70166, 503.215363, 507.506104] },
              { x: new Date(2022, 0, 5), y: [507.597809, 515.239197, 462.057556, 475.056946] },
              { x: new Date(2022, 0, 6), y: [475.079071, 481.062836, 460.248505, 473.275604] },
              { x: new Date(2022, 0, 7), y: [473.000061, 474.296204, 439.26001, 447.788483] },
              { x: new Date(2022, 0, 8), y: [447.856812, 458.483795, 419.195465, 430.246155] },
              { x: new Date(2022, 0, 9), y: [430.253113, 444.493256, 428.239502, 438.80307] },
              { x: new Date(2022, 0, 10), y: [438.785645, 445.036163, 408.698792, 424.933777] },
              { x: new Date(2022, 0, 11), y: [424.891205, 467.281067, 422.000916, 463.518311] },
              { x: new Date(2022, 0, 12), y: [463.562744, 489.327301, 457.116119, 487.007416] },
              { x: new Date(2022, 0, 13), y: [487.042572, 488.211243, 467.87561, 475.029114] },
              { x: new Date(2022, 0, 14), y: [475.127197, 491.660645, 468.939606, 489.867432] },
              { x: new Date(2022, 0, 15), y: [489.917999, 501.311127, 486.305908, 494.988068] },
              { x: new Date(2022, 0, 16), y: [494.924103, 505.300964, 489.502136, 498.427917] },
              { x: new Date(2022, 0, 17), y: [498.506165, 498.943909, 468.576508, 475.709869] },
              { x: new Date(2022, 0, 18), y: [475.73642, 479.662109, 458.152466, 472.005066] },
              { x: new Date(2022, 0, 19), y: [471.917206, 472.774292, 454.758606, 462.822083] },
              { x: new Date(2022, 0, 20), y: [462.856964, 478.353943, 439.978058, 440.005432] },
              { x: new Date(2022, 0, 21), y: [440.067139, 444.180237, 376.770172, 383.073914] },
              { x: new Date(2022, 0, 22), y: [383.474548, 388.911987, 340.05481, 358.096161] },
              { x: new Date(2022, 0, 23), y: [358.326599, 388.593903, 357.170654, 383.93396] },
              { x: new Date(2022, 0, 24), y: [384.040619, 384.040619, 337.853943, 371.368958] },
              { x: new Date(2022, 0, 25), y: [371.386841, 387.176849, 358.083557, 384.619354] },
              { x: new Date(2022, 0, 26), y: [384.586243, 400.152069, 367.575104, 375.755463] },
              { x: new Date(2022, 0, 27), y: [375.542175, 391.804382, 360.331696, 390.088287] },
              { x: new Date(2022, 0, 28), y: [390.000671, 393.37558, 376.752167, 386.084381] },
              { x: new Date(2022, 0, 29), y: [386.065735, 396.772278, 381.683777, 389.132782] },
              { x: new Date(2022, 0, 30), y: [389.202209, 389.247192, 373.036285, 377.612915] },
              { x: new Date(2022, 0, 31), y: [377.648987, 384.977386, 366.11203, 375.277313] }
            ]
          }]
        },
        styleOptions: {
          width: "100%",
          height: "360px"
        }
      }
    },
    methods: {
      toggleDataSeries(e) {
        if (typeof (e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
          e.dataSeries.visible = false;
        }
        else {
          e.dataSeries.visible = true;
        }
        e.chart.render();
      },
      calculateSMA(dps, period){
          let avg = function(dps) {
            let sum = 0, period = 0, val;
            for (let i = 0; i < dps.length; i++) {
              val = dps[i].y[3]; sum += val; period++;
            }
            return sum / period;
          };
          let result = [], val;
          period = period || 5;
          for (let i=0; i < period; i++)
            result.push({ x: dps[i].x , y: null});
          for (let i=period - 1, len=dps.length; i < len; i++) {
            val = avg(dps.slice(i - period + 1, i));
            if (isNaN(val))
              result.push({ x: dps[i].x, y: null});
            else
              result.push({ x: dps[i].x, y: val});
          }
          return result;
      },
      chartInstance(chart) {
        this.chart = chart;
        let sma = this.calculateSMA(this.options.data[0].dataPoints, 7);
        this.chart.addTo("data", {
          type: "line",
          showInLegend: true, 
          markerSize: 0,
          yValueFormatString: "$#,###.00", 
          name: "Simple Moving Average",
          dataPoints: sma
        });
      }
    }
  }
</script>
  
<template>
    <CanvasJSChart :options="options" :style="styleOptions" @chart-ref="chartInstance"/>
</template>                              
/*main.js*/
import { createApp } from 'vue'
import App from './App.vue'

import CanvasJSChart from '@canvasjs/vue-charts';

const app = createApp(App);
app.use(CanvasJSChart); // install the CanvasJS Vuejs Chart Plugin
app.mount('#app');                        

Chart Customizations

You can control the visibility of a dataseries by setting visible property. Other frequently used customization options are color, showInLegend, legendText etc.

Note   For step by step instructions, follow our Vuejs Integration Tutorial

Quick Links

  • Chart Docs
  • StockChart Docs
  • About Us
  • FAQs

Server Side Technologies

  • ASP.NET MVC Charts
  • PHP Charts
  • JSP Charts
  • Spring MVC Charts

Front Side Technologies

  • JavaScript Charts
  • jQuery Charts
  • React Charts
  • Angular Charts
  • JavaScript StockCharts

Contact

  • Fenopix, Inc.
  • 2093 Philadelphia Pike,
  • #5678, Claymont,
  • Delaware 19703
  • United States Of America

©2025 Fenopix Privacy Policy Cookies Policy Careers